Bug 1448321 - Problem with dnf_install_command in custom1 chroot
Summary: Problem with dnf_install_command in custom1 chroot
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-05 08:08 UTC by Jakub Kadlčík
Modified: 2017-07-06 05:19 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-06-25 16:19:37 UTC


Attachments (Terms of Use)

Description Jakub Kadlčík 2017-05-05 08:08:41 UTC
Description of problem:
Builds in custom1 chroot fails with following error

ERROR: Command failed: 
 # /usr/bin/dnf --installroot /var/lib/mock/custom-1-x86_64-bootstrap-mockbuilder-13635/root/ --disableplugin=local --setopt=deltarpm=false install dnf dnf-plugins-core distribution-gpg-keys
...
No package dnf available.
No package dnf-plugins-core available.
No package distribution-gpg-keys available.
Error: Unable to find a match.


Version-Release number of selected component (if applicable):
1.4.1


How reproducible:
/usr/bin/mockchain -r /var/tmp/mockremote-273653-custom-1-x86_64/custom-1-x86_64.cfg -l /var/tmp/mockremote-273653-custom-1-x86_64/build/ -a https://kojipkgs.fedoraproject.org/repos/module-51836d81a4b4e352/latest/x86_64 -a http://copr-be-dev.cloud.fedoraproject.org/results/frostyx/module-testmodule-master-20170504142850/custom-1-x86_64 -a http://copr-be-dev.cloud.fedoraproject.org/results/frostyx/module-testmodule-master-20170504142850/custom-1-x86_64/devel -m '--define=copr_username frostyx' -m '--define=copr_projectname module-testmodule-master-20170504142850' -m '--define=vendor Fedora Project COPR (frostyx/module-testmodule-master-20170504142850)' /tmp/build_package_repo/module-build-macros/module-build-macros-0.1-1.module_8fd7f414.src.rpm &>/tmp/273653-custom-1-x86_64.log

Comment 1 Miroslav Suchý 2017-05-09 09:25:47 UTC
There are two options how to solve:

1) in dependencies/buildrequires (see https://pagure.io/modulemd/blob/master/f/spec.yaml ) you should list module which provides DNF and then pass it to mock.

2) or I should create build module, which will contain latest dnf,dnf-plugins-core, and distribution-gpg-key and mock will use it to install bootstrap chroot. I will go this way once modularity is more stable.

For now please use first option and list those 3 packages as BR.

Comment 2 Miroslav Suchý 2017-05-09 09:33:34 UTC
Hmm or we can just disable bootstrap chroot for custom chroots.
This is probably best option for now.

Done in commit 2d1e3c2.

Comment 3 Fedora Update System 2017-06-19 07:12:33 UTC
mock-1.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-21b345dd60

Comment 4 Fedora Update System 2017-06-19 07:13:33 UTC
mock-1.4.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d88d9f8b5

Comment 5 Fedora Update System 2017-06-19 07:14:25 UTC
mock-1.4.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-65be829503

Comment 6 Fedora Update System 2017-06-19 14:52:41 UTC
mock-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-65be829503

Comment 7 Fedora Update System 2017-06-19 15:52:13 UTC
mock-1.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-21b345dd60

Comment 8 Fedora Update System 2017-06-19 19:24:26 UTC
mock-1.4.2-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3d88d9f8b5

Comment 9 Fedora Update System 2017-06-25 16:19:37 UTC
mock-1.4.2-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-07-04 01:51:35 UTC
mock-1.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-07-06 05:19:11 UTC
mock-1.4.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.